import os from 'os';
import fs from 'fs';
import getNowDate from './get-now-date';
import getNowTime from './get-now-time';
import findLogFileName from './find-log-file-name';

var file = void 0;
var stream = void 0;
var date = void 0;

export default function (msg, appName, maxSize) {
  var text = msg;

  date = dateDetermination(date);

  if (!stream) {
    file = file || findLogFileName(appName, date);
    if (!file) {
      // error
      return;
    }

    if (maxSize > 0) {
      logRotate(file, maxSize);
    }

    stream = fs.createWriteStream(file, { flags: 'a' });
  }

  if (!stream) {
    return;
  }

  stream.write([date, ' ', getNowTime(), ' ', text, os.EOL].join(''));
}

function dateDetermination(d) {
  var now = getNowDate();

  if (d !== now) {
    stream = undefined;
    file = undefined;
  }

  return now;
}

function logRotate(file, maxSize) {
  try {
    var stat = fs.statSync(file);
    if (stat.size > maxSize) {
      fs.renameSync(file, file.replace(/log$/, 'old.log'));
    }
  } catch (e) {
    // error
  }
}