'use strict';

exports.__esModule = true;

exports.default = function (howManyDaysAgo, appName) {
  var path = (0, _findLogPath2.default)(appName);
  var files = [];
  try {
    files = _fs2.default.readdirSync(path);
  } catch (e) {
    return null;
  }

  _lodash2.default.forEach(files, function (file, index) {
    var yearMonthDay = getYearMonthDay(file);
    if (!yearMonthDay) {
      return;
    }

    if (!isBefore(howManyDaysAgo, yearMonthDay)) {
      return;
    }

    deleteLogFile(path + file);
  });
};

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _findLogPath = require('./find-log-path');

var _findLogPath2 = _interopRequireDefault(_findLogPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var format = 'YYYY-MM-DD';

function getYearMonthDay(file) {
  var split = _lodash2.default.split(file, '-', 3);
  if (split.length < 3) {
    return null;
  }

  return {
    year: split[0],
    month: split[1],
    day: _lodash2.default.split(split[2], '_', 1)[0]
  };
}

function isBefore(howManyDaysAgo, yearMonthDay) {
  var agoDays = (0, _moment2.default)((0, _moment2.default)().format(format)).subtract(howManyDaysAgo, 'days');
  var fileDays = (0, _moment2.default)([yearMonthDay.year, yearMonthDay.month, yearMonthDay.day].join('-'));
  return (0, _moment2.default)(fileDays).isBefore(agoDays);
}

function deleteLogFile(filePath) {
  try {
    _fs2.default.unlinkSync(filePath);
  } catch (e) {
    return null;
  }
}