'use strict';

exports.__esModule = true;
exports.deleteLog = exports.setup = exports.log = undefined;

var _transportFile = require('./transport-file');

var _transportFile2 = _interopRequireDefault(_transportFile);

var _deleteLogFiles = require('./delete-log-files');

var _deleteLogFiles2 = _interopRequireDefault(_deleteLogFiles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logAppName = 'electron-log-rotate';
var logMaxSize = 5 * 1024 * 1024;

function setup(options) {
  logAppName = options.appName;
  logMaxSize = options.maxSize;
}

function log(text) {
  (0, _transportFile2.default)(text, logAppName, logMaxSize);
}

function deleteLog(howManyDaysAgo) {
  (0, _deleteLogFiles2.default)(howManyDaysAgo, logAppName);
}

exports.log = log;
exports.setup = setup;
exports.deleteLog = deleteLog;